Page MenuHomePhabricator

[TUX] Blacklisted languages can still be translated
Closed, DuplicatePublic

Description

Author: naudefj

Description:
The translate extension allows users to enter translations for blacklisted language codes like 'roa-tara' (Tarandíne).

Suggested solution:

  1. Fix code to enforce blacklisting.
  2. Move incorrectly entered 'roa-tara' messages to 'scn' (Trantino is a dialect of Sicilian).

Best regards.
Frank


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49898

Details

Reference
bz54627

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:16 AM
bzimport set Reference to bz54627.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 26 2013, 9:44 AM

(In reply to comment #0)

The translate extension allows users to enter translations for blacklisted
language codes like 'roa-tara' (Tarandíne).
Suggested solution:

  1. Fix code to enforce blacklisting.

Is this fixed? I can't reproduce as of now, neither with tux=1 nor with tux=1 https://translatewiki.net/w/i.php?title=Special%3ATranslate&taction=translate&group=out-fudforum&language=roa-tara&limit=100&task=view "This code is not available for this software".

Steps to reproduce:

  1. Go to https://translatewiki.net/w/i.php?title=Special%3ATranslate&group=out-fudforum
  2. Select the language from the language selector

Observed: Message list loads
Expected: Warning message without message list

  • Bug 62106 has been marked as a duplicate of this bug. ***

aharoni> Nikerabbit: if there's one reported already, can you make it a blocker of https://bugzilla.wikimedia.org/show_bug.cgi?id=67189 ?

(Bug 49898 is different in that it explicitly says one was able to save a revision in zh-hant.)

  • This bug has been marked as a duplicate of bug 48804 ***

Not resolved; re-marking as duplicate due to Bugzilla import bug.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 20 2016, 9:55 AM